Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class J2eeApplicationMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.deployment.J2eeApplicationMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class J2eeApplicationMetaData
extends MetaData

A representation of the application.xml and jboss-app.xml deployment descriptors.

Version:
  $Revision: 1.9 $
Author:
  Thomas.Diesler@jboss.org
See Also:
  `XmlLoadable`

Field Summary

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`J2eeApplicationMetaData()`

Method Summary
`String` | `getDescription()`
`String` | `getDisplayName()`
`String` | `getJMXName()`
`String` | `getLargeIcon()`
`Iterator` | `getModules()`
`String` | `getSecurityDomain()`
`Map` | `getSecurityRoles()`
`String` | `getSmallIcon()`
`String` | `getUnauthenticatedPrincipal()`
`protected void` | `importApplicationXml(Element rootElement)`
`protected void` | `importJBossAppXml(Element rootElement)`
`void` | `importXml(Element rootElement)` Imports either the application.xml or jboss-app.xml from the given element.

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importEjbJarXml, importJbossXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### J2eeApplicationMetaData

    public J2eeApplicationMetaData()

Method Detail

### getDisplayName

    public String getDisplayName()

### getDescription

    public String getDescription()

### getSmallIcon

    public String getSmallIcon()

### getLargeIcon

    public String getLargeIcon()

### getModules

    public Iterator getModules()

### getSecurityRoles

    public Map getSecurityRoles()

### getSecurityDomain

    public String getSecurityDomain()

### getUnauthenticatedPrincipal

    public String getUnauthenticatedPrincipal()

### getJMXName

    public String getJMXName()

### importXml

    public void importXml(Element rootElement)
                   throws org.jboss.deployment.DeploymentException

  Imports either the application.xml or jboss-app.xml from the given element.

  Specified by:
    `importXml` in interface `XmlLoadable`
  Overrides:
    `importXml` in class `MetaData`
  Parameters:
    `rootElement` - The element to import.
  Throws:
    `DeploymentException` - Unrecognized root tag.

### importApplicationXml

    protected void importApplicationXml(Element rootElement)
                                 throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### importJBossAppXml

    protected void importJBossAppXml(Element rootElement)
                              throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.